Page MenuHomePhabricator

Don't email users on cc changes by default
Closed, ResolvedPublic

Description

Upstream bugs:

https://phabricator.wikimedia.org/settings/panel/emailpreferences/
"A task's subscribers change." : email

This is not appropriate. Especially since voting/following is no longer possible (T88), we don't want users to be scared of cc'ing themselves for the spammy effects of the action. (And yes, they will; we know from experience.)

The purpose of this task is to reduce the amount of emails we send as much as possible.

Solutions:

  • (Utopia AKA bugzilla.) Only the reporter should be emailed by default, as in bugzilla. The reporter of the issue is usually interested in knowing whether someone is following/noticing the issue; subscribers already know someone is, them.
  • We can remove cc notifications for everyone by default and see how many complain.

Other references

Event Timeline

Nemo_bis created this task.Oct 10 2014, 3:13 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Qgil added a subscriber: Qgil.

We have been discussing this option also in the context of T559: Avoid a massive wave of email notifications after the Bugzilla migration

Actually, the "unless I'm reporter" part of the request seems to be missing in Phabricator, and should be filed upstream.

Qgil triaged this task as Medium priority.Oct 10 2014, 8:19 PM
Aklapper lowered the priority of this task from Medium to Low.Oct 13 2014, 1:27 PM
Aklapper added a subscriber: Aklapper.

As far as I know, this is currently not possible by default.

Upstreamed as https://secure.phabricator.com/T6296

Aklapper updated the task description. (Show Details)
Aklapper closed this task as Declined.Oct 14 2014, 10:48 PM
Aklapper claimed this task.

Upstream closed this as wontfix. Users should set up mail filtering rules instead.

Nemo_bis reopened this task as Open.Nov 2 2014, 10:02 AM

Reopen per T763.
What upstream says is that we can and should make this change locally.

A document explaining this better was produced (https://secure.phabricator.com/rP853588af892d69e8f984fec1d3acab543fc7e472) and will soon appear at https://secure.phabricator.com/book/phabcontrib/article/feature_requests/

Aklapper closed this task as Unknown Status.Nov 3 2014, 7:22 AM

Upstream says: "Why would an author be interested in the cc list changes, when no comment or other change was made? What's the use-case?"

That is still unanswered.

Aklapper removed Aklapper as the assignee of this task.Nov 3 2014, 7:23 AM
Aklapper lowered the priority of this task from Low to Lowest.

Upstream says: "Why would an author be interested in the cc list changes, when no comment or other change was made? What's the use-case?"

Uh? Emailing everyone on cc-only changes is the current default and precisely what we're complaining about.

Nemo_bis reopened this task as Open.Nov 4 2014, 9:03 AM
Aklapper closed this task as Unknown Status.Nov 4 2014, 10:59 AM

The stress is on author in that question. How does it make sense when you are the reporter and how does it not make sense when you are not the reporter. See summary of this ticket. :)

Nemo_bis renamed this task from Don't email me on cc changes unless I'm reporter, by default to Don't email me on cc changes by default (unless I'm reporter?).Nov 5 2014, 11:40 AM

The stress is on author in that question.

Not in the question as you formulated/quoted it.

How does it make sense when you are the reporter and how does it not make sense when you are not the reporter. See summary of this ticket. :)

Very simple, the reporter of the issue is usually interested in knowing whether someone is following/noticing the issue; subscribers already know someone is, them. Anyway, the purpose of this task is to reduce the amount of emails we send as much as possible. We can remove cc notifications for everyone by default and see how many complain.

However all these degradations are annoying. :(

Nemo_bis reopened this task as Open.Nov 5 2014, 11:47 AM
Nemo_bis raised the priority of this task from Lowest to Medium.
Nemo_bis updated the task description. (Show Details)
Aklapper lowered the priority of this task from Medium to Lowest.Nov 5 2014, 12:39 PM
Qgil added a comment.Nov 5 2014, 12:48 PM

Anyway, the purpose of this task is to reduce the amount of emails we send as much as possible. We can remove cc notifications for everyone by default and see how many complain.

This is a different request, probably easier to implement since it is a theoretical configuration option, although I'm not sure admins have a way to configure this by default for all users.

What makes this task a "Needs Volunteer" is the "unless I'm reporter" part, wontfixed upstream (which means that we would need an extension maintained by ourselves here).

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 9 2014, 11:05 PM
Nemo_bis raised the priority of this task from Lowest to Medium.Nov 13 2014, 3:11 PM

What makes this task a "Needs Volunteer" is the "unless I'm reporter"

Which is optional, hence irrelevant for now.

Aklapper lowered the priority of this task from Medium to Lowest.Nov 13 2014, 3:44 PM

I don't understand what the last comment was meant to mean and what exactly is "optional" here and why. :(

Also I haven't see anybody in this ticket expressing their plans to write code fixing this request so I will reset the priority to ("Needs volunteer") reflect reality for the time being.

Qgil added a comment.Nov 13 2014, 10:15 PM

If the "unless I'm reporter" is irrelevant, then the rest can be fixed by the users themselves, changing their email notification preferences.

For what is worth, we have 745 users here, and this doesn't seem to be a relevant issue. Let's give us a few weeks after the Bugzilla migration to have a better grasp of the dimensions of this problem.

He7d3r added a subscriber: He7d3r.Nov 17 2014, 12:47 PM
Nemo_bis renamed this task from Don't email me on cc changes by default (unless I'm reporter?) to Don't email users on cc changes by default.Nov 18 2014, 4:03 PM
Nemo_bis raised the priority of this task from Lowest to High.
Nemo_bis lowered the priority of this task from High to Medium.
demon added a subscriber: demon.Nov 18 2014, 4:14 PM

Disabling e-mail on CC change by default is how we've had BZ for years and years. Suggest making it opt-in here as well. Those that want CC notifs are capable of opting in easily.

A user can access that setting via

https://phabricator.wikimedia.org/settings/panel/emailpreferences/ > Maniphest Tasks > A task's subscribers change

but there is no "Use Server Default" option (and no way to set a server default) which seems to be requested here.

demon added a comment.Nov 18 2014, 4:55 PM

Being able to set default user preferences that are different from upstream's defaults seems reasonable to me.

Qgil added a comment.Nov 18 2014, 7:00 PM

The point is: as far as I can see, there is no way for admins to change this through the configuration options. If there is a way, let's do it. If there is no way, then we need to decide what to do.

Total users: 789
Users who have non-default profile preferences: 251
Users with non-default who want cc change notify: 18
Users with non-default who do not want CC change emails: 26

Seems like 82% of users have chosen to keep cc notifications via email.

Qgil lowered the priority of this task from Medium to Lowest.Nov 26 2014, 8:24 AM

From the point of view of upstream, this task is Closed, Wontfix.

From the point of view of the Wikimedia Phabricator maintainers, the current setup allows users annoyed by this to configure their own email preferences. Accepting this task would mean a local patch (or an extension?) for this instance, a task that is not in our plans. If someone is interested in working on this, take the task and let's discuss.

How a user can change her/his notification settings to receive less notifications is covered in https://www.mediawiki.org/wiki/Phabricator/Help#Receiving_updates_and_notifications and I can only repeat that there's currently no way for admins to set "Do not notify me on CC changes" by default so this isn't actionable currently.

there's currently no way for admins to set "Do not notify me on CC changes" by default so this isn't actionable currently.

Then a local plugin or whatever is needed.

valhallasw updated the task description. (Show Details)Dec 19 2014, 8:58 PM
valhallasw updated the task description. (Show Details)Dec 19 2014, 9:01 PM
chasemp removed a subscriber: chasemp.Mar 11 2015, 8:59 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM
Nemo_bis updated the task description. (Show Details)Sep 7 2015, 7:17 AM

Upstream no longer sends email (or publishes feed stories) about self-subscribes or self-unsubscribes (that is, a user only changing their own subscription status), since 536d3a21.

That's not exactly the same as this request, but may overlap enough to moot it.

Alternatively, you may need to revert that change if you want task authors to continue receiving notifications about other users subscribing or unsubscribing themselves.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 12 2016, 3:49 AM

I think that seems mostly reasonable. At least if a task author suddenly wants to subscribe a user he/she can see that they are already subscribed. I don't think there should be a problem.

TTO added a subscriber: TTO.Feb 12 2016, 5:30 AM

I want to receive email when other people subscribe or unsubscribe from a task that I myself am subscribed to. I'm probably in the minority here, but will this be configurable in Email Preferences after the update? Or are we going to lose that forever?

There's currently no setting to opt back in to this mail.

It's not completely out of the question that we might add one in the future, but we haven't seen any requests to restore this mail in the ~6 weeks since we made the change, so I currently believe that very few users miss it.

The T135327 description currently states the relevance of this bug is unclear.

  • Is the relevance of not sending spam disputed? If so, game over.
  • Is the relevance of cc changes notifications disputed? We have plenty of evidence that most people do not like them and unsubscribe from them whenever possible (also on IRC). In any case, without evidence in the opposite direction, the precautionary principle mandates that we avoid polluting people's inboxes.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 21 2016, 5:27 PM

I would love to see updated data here for T624#23238.

TTO added a comment.May 22 2016, 12:17 PM

I simply want a setting to opt back in. I understand that practically no-one else cares about this (I think it was mostly just me and @MZMcBride who had this setting turned on on Bugzilla) but I find it useful, particularly as I tend to work in areas that see very little love (tasks might go years without a comment), so the action of a user subscribing is often worth some attention.

This settings inflexibility still hits me. I ignore subscription changes to avoid Herald subscription spam (which is a bug in itself), but then I don't get notifications for being added to a task either, which is unexpected to some.

Qgil removed a subscriber: Qgil.Sep 6 2016, 12:08 PM

The T135327 description currently states the relevance of this bug is unclear.

  • Is the relevance of not sending spam disputed? If so, game over.
  • Is the relevance of cc changes notifications disputed? We have plenty of evidence that most people do not like them and unsubscribe from them whenever possible (also on IRC). In any case, without evidence in the opposite direction, the precautionary principle mandates that we avoid polluting people's inboxes.

@Nemo_bis: I agree with you and I've changed the default notification settings. This only affects new accounts and accounts that never customized the settings in any way. Anyone who previously customized their settings will not get the default setting.

It wasn't previously possible to change defaults but upstream recently added some limited default settings, including notification options.

mmodell closed this task as Resolved.Sep 9 2016, 1:00 AM
mmodell claimed this task.